
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef demo_POSTER_LIB_H
#define demo_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "demoType.h"
#include "demoError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[DEMO_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} DEMO_CNTRL_STR;

/* For consistency with other posters */
typedef DEMO_CNTRL_STR DEMO_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "demoPosterLibStruct.h"



/* Posters */
#define DEMO_CNTRL_POSTER_NAME genomInstanceSuffixName("demo", "Cntrl")
#define DEMO_MOBILE_POSTER_NAME genomInstanceSuffixName("demo", "Mobile")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS demoPosterInit ( void );
extern POSTER_ID demoCntrlPosterID ();
extern STATUS demoCntrlPosterRead ( DEMO_CNTRL_STR *demoCntrlStrId );
extern STATUS demoCntrlPosterInit ( void );
extern STATUS demoCntrlInstancePosterRead(const char *name, DEMO_CNTRL_STR *demoCntrlStrId);
extern STATUS demoMobilePosterInit ( void );
extern POSTER_ID demoMobilePosterID ( void );
extern STATUS demoMobilePosterRead ( DEMO_MOBILE_POSTER_STR *x );
extern STATUS demoMobileInstancePosterRead ( const char *, DEMO_MOBILE_POSTER_STR * );
extern STATUS demoMobilestatePosterRead ( DEMO_STATE_STR *state );
extern STATUS demoMobilestateInstancePosterRead( const char *, DEMO_STATE_STR * );
extern STATUS demoMobilerefPosterRead ( double *ref );
extern STATUS demoMobilerefInstancePosterRead( const char *, double * );
#ifdef __cplusplus
}
#endif
#endif

